package com.gyee.table.controller;

import com.alibaba.fastjson2.JSONObject;
import com.gyee.table.service.IObjectService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @description:
 * @auther: Wanghs
 * @date: 2023-02-07
 */
@Slf4j
@RestController
@RequestMapping("/echart")
public class EchartController {

    @Autowired
    private IObjectService objectService;

    /**
     * 根据 SQL 获取 ECHARTS 数据接口
     *
     * @param map
     * @return
     */
    @PostMapping("/line")
    public JSONObject getLineData(@RequestBody Map map) {
        String sql = (String) map.get("sql");

        JSONObject jsonObject = objectService.selectBySqlToEchart(map);

        return jsonObject;

    }


}
